/*
 * #%L
 * *********************************************************************************************************************
 * 
 * SolidBlue - open source safe data
 * http://solidblue.tidalwave.it - hg clone https://bitbucket.org/tidalwave/solidblue-src
 * %%
 * Copyright (C) 2011 - 2013 Tidalwave s.a.s. (http://tidalwave.it)
 * %%
 * *********************************************************************************************************************
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * *********************************************************************************************************************
 * 
 * $Id$
 * 
 * *********************************************************************************************************************
 * #L%
 */
package it.tidalwave.integritychecker.archive.spi;

import javax.annotation.Nonnull;
import it.tidalwave.util.Task;
import lombok.Getter;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class SequentialBatchingStrategy implements BatchingStrategy
  {
    @Getter
    private final String name = "seq";

    @Override @Nonnull
    public TaskBatch createBatch()
      {
        return new TaskBatch()
          {
            @Override
            public void add (final @Nonnull Task<Void, RuntimeException> task)
              {
                task.run();
              }

            @Override
            public void waitForCompletion()
              {
                // no wait, task already executed
              }
          };
      }

    @Override @Nonnull
    public String toString()
      {
        return getName();
      }
  }
